<?php
$savedPasswordsFile = __DIR__ . '/saved/saved_passwords.txt';

// Controlla se il file esiste
if (!file_exists($savedPasswordsFile)) {
    echo "<h1>Passwords Salvate</h1><p>Non ci sono password salvate al momento.</p>";
    exit;
}

// Leggi il contenuto del file
$passwords = file($savedPasswordsFile, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Passwords Salvate</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
        }
        .container {
            max-width: 600px;
            margin: auto;
            background: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
        }
        h1 {
            text-align: center;
        }
        ul {
            list-style: none;
            padding: 0;
        }
        li {
            background: #f9f9f9;
            margin: 5px 0;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 5px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Passwords Salvate</h1>
        <ul>
            <?php foreach ($passwords as $password): ?>
                <li><?= htmlspecialchars($password) ?></li>
            <?php endforeach; ?>
        </ul>
    </div>
</body>
</html>
